Applicability of GMPLS for Beyond 100G Optical Transport Network
Internet-Draft draft-ietf-ccamp-gmpls-otn-b100g-applicability-11
Qilei Wang, Ed.
ZTE Corporation
Nanjing
China
wang.qilei@zte.com.cn
Radha Valiveti, Ed.
Infinera Corp
Sunnyvale
USA
rvaliveti@infinera.com
Haomian Zheng, Ed.
Huawei
China
zhenghaomian@huawei.com
Huub van Helvoort
Hai Gaoming B.V
Almere
Netherlands
huubatwork@gmail.com
Sergio Belotti
Nokia
sergio.belotti@nokia.com
Internet Engineering Task Force
This document examines the applicability of using existing GMPLS routing and signalling mechanisms to set up Optical Data Unit-k (ODUk) Label Switched Paths (LSPs) over Optical Data Unit-Cn (ODUCn) links as defined in the 2020 version of G.709.
Introduction
The current GMPLS routing [RFC7138] and signalling [RFC7139] extensions support the control of Optical Transport Network (OTN) signals and capabilities that were defined in the 2012 version of G.709 [ITU-T_G709_2012].
In 2016 a further version of G.709 was published: [ITU-T_G709_2016]. This version introduced higher rate Optical Transport Unit (OTU) and Optical Data Unit (ODU) signals, termed OTUCn and ODUCn respectively, which have a nominal rate of n x 100 Gbit/s. According to the definition in [ITU-T_G709_2016], OTUCn and ODUCn perform only the digital section layer role and ODUCn supports only ODUk clients. This document focuses on the use of existing GMPLS mechanisms to set up ODUk (e.g., ODUflex) Label Switched Paths (LSPs) over ODUCn links, independently from how these links have been set up.
Because [ITU-T_G709_2020] does not introduce any new features to OTUCn and ODUCn compared to [ITU-T_G709_2016] , this document starts with [ITU-T_G709_2020] by first presenting an overview of the OTUCn and ODUCn signals, and then analyzing how the current GMPLS routing and signalling mechanisms can be utilized to set up ODUk (e.g., ODUflex) LSPs over ODUCn links.
OTN terminology used in this document
- DXC: Digital Cross Connect: These devices forward digital signals (e.g. ODUs) between Time-Division Multiplex Capable (TDM) interfaces defined in [RFC3471]. DXCs can switch digital signals of different rates.
- FlexO: Flexible OTN information structure. This information structure is usually with a specific bit rate and frame format, consisting of overhead and payload, which is used as a group for the transport of an OTUCn signal.
- LSP: Label Switched Path. This document mainly focuses on the label switched paths which traverse Time-Division Multiplex Capable (TDM) interfaces defined in [RFC3471].
- ODU: Optical Data Unit. An ODU has the frame structure and overhead, as defined in Figure 12-1 of [ITU-T_G709_2020]. ODUs can be formed in two ways: a) by encapsulating a single non-OTN client (such as SONET/SDH, Ethernet) b) multiplexing lower-rate ODUs. In general, the ODU layer represents the path layer in OTN networks. The only exception is the ODUCn signal (defined below) which is defined to be a section layer signal. In the classification based on bitrates of the ODU signals, ODUs are of two types: Fixed rate, and flexible rate. Flexible rate ODU(s), called "ODUFlex" have a rate that is a fixed multiple of the bit rate of the client signal it encapsulates.
- ODUk: Optical Data Unit-k, where k is one of {0, 1, 2, 2e, 3, 4}. The term ODUk references to an ODU whose bit rate is fully specified by the index k. The bit rates of the ODUk signal for k = {0, 1, 2, 2e, 3, 4} are approximately 1.25G, 2.5G, 10G, 10.3G, 40G, 100G respectively.
- ODUflex: Optical Data Unit - flexible rate. An ODUflex has the same frame structure as a "generic" ODU, but with rate that is a fixed multiple of the bitrate of the client signal it encapsulates. ITU-T defines specific ODUflex containers that are required to transport specific clients such as 50GE, 200GE, 400GE, etc.
- ODUCn: Optical Data Unit-Cn; Cn indicates the bit rate of approximately n*100G. This frame structure consists of "n" synchronous instances of the ODUC signal, each of which has the format defined in Figure 12-1 of [ITU-T_G709_2020].
- OPUCn: Optical Payload Unit-Cn. Where Cn indicates that the bit rate is approximately n*100G. This structure represents the payload area of the ODUCn signal.
- OTUCn: Fully standardized Optical Transport Unit-Cn. This frame structure is realized by extending the ODUCn signal with the OTU layer overhead.
- OTUCn-M: This signal is an extension of the OTUCn signal introduced above. This signal contains the same amount of overhead as the OTUCn signal, but contains a reduced amount of payload area. Specifically, the payload area consists of M 5 Gbit/s tributary slots (where M is less than 20*n). When M=20*n, this signal is identical to the full OTUCn signal, and there is no need for the "-M" suffix in the entity name.
- OTN: Optical Transport Network.
- PSI: OPU Payload Structure Indicator. This is a 256-byte signal that describes the composition of the OPU signal. This field is a concatenation of the Payload type (PT) and the Multiplex Structure Indicator (MSI) defined below.
- MSI: Multiplex Structure Indicator. This structure indicates the grouping of the tributary slots in an OPU payload area that realizes a client signal which is multiplexed into an OPU. The individual clients multiplexed into the OPU payload area are distinguished by the Tributary Port Number (TPN).
- WXC: Wavelength Cross Connects. These devices forward data between Lambda Switch Capable (LSC) interfaces defined in [RFC3471].
- TPN: Tributary Port Number. The tributary port number is used to indicate the port number of the client signal that is being transported in one specific tributary slot.
Detailed descriptions of these terms can be found in [ITU-T_G709_2020].
Overview of the OTUCn/ODUCn in G.709
This section provides an overview of OTUCn/ODUCn signals defined in [ITU-T_G709_2020]. The text in this section is purely descriptive and is not normative. For a full description of OTUCn/ODUCn signals please refer to [ITU-T_G709_2020]. In the event of any discrepancy between this text and [ITU-T_G709_2020], that other document is definitive.
OTUCn
In order to carry client signals with rates greater than 100 Gbit/s, [ITU-T_G709_2020] takes a general and scalable approach that decouples the rates of OTU signals from the client rate. The new OTU signal is called OTUCn, and this signal is defined to have a rate of (approximately) n*100G. The following are the key characteristics of the OTUCn signal:
- The OTUCn signal contains one ODUCn. The OTUCn and ODUCn signals perform digital section roles only (see [ITU-T_G709_2020]:Section 6.1.1)
- The OTUCn signals can be viewed as being formed by interleaving n OTUC signals (which are labeled 1, 2, ..., n), each of which has the format of a standard OTUk signal without the FEC columns (per [ITU-T_G709_2020] Figure 7-1). The OTUC signal contains the ODUC signal.
- Each of the OTUC instances has the same overhead as the standard OTUk signal in [ITU-T_G709_2020]. The combined signal OTUCn has n instances of OTUC overhead, ODUC overhead.
- The OTUC signal has a slightly higher rate compared to the OTU4 signal (without FEC); this is to ensure that the OPUC payload area can carry an ODU4 signal.
The OTUCn, ODUCn and OPUCn signal structures are presented in a (physical) interface independent manner, by means of n OTUC, ODUC and OPUC instances that are marked #1 to #n.
OTUCn interfaces can be categorized as follows, based on the type of peer network element:
- inter-domain interfaces: These types of interfaces are used for connecting OTN edge nodes to (a) client equipment (e.g. routers) or (b) hand-off points from other OTN networks. ITU-T Recommendation [ITU-T_G709.1] specifies a flexible interoperable short-reach OTN interface over which an OTUCn (n >=1) is transferred, using bonded Flexible OTN information structure (FlexO) interfaces which belong to a FlexO group.
- intra-domain interfaces: In these cases, the OTUCn is transported using a proprietary (vendor specific) encapsulation, FEC etc. It is also possible to transport OTUCn for intra-domain links using FlexO.
OTUCn-M
The standard OTUCn signal has the same rate as that of the ODUCn signal. This implies that the OTUCn signal can only be transported over wavelength groups which have a total capacity of multiples of (approximately) 100G. Modern DSPs support a variety of bit rates per wavelength, depending on the reach requirements for the optical path. If the total rate of the ODUk LSPs planned to be carried over an ODUCn link is smaller than n*100G, it is possible to "crunch" the OTUCn not to transmit the unused tributary slots. ITU-T supports the notion of a reduced rate OTUCn signal, termed the OTUCn-M. The OTUCn-M signal is derived from the OTUCn signal by retaining all the n instances of overhead (one per OTUC instance) but with only M (M is less than 20*n) OPUCn tributary slots available to carry ODUk LSPs.
ODUCn
The ODUCn signal defined in [ITU-T_G709_2020] can be viewed as being formed by the appropriate interleaving of content from n ODUC signal instances. The ODUC frames have the same structure as a standard ODU in the sense that it has the same overhead and payload areas, but has a higher rate since its payload area can embed an ODU4 signal.
The ODUCn is a multiplex section ODU signal, and is mapped into an OTUCn signal which provides the regenerator section layer. In some scenarios, the ODUCn, and OTUCn signals will be co-terminated, i.e. they will have identical source/sink locations. [ITU-T_G709_2020] allows for the ODUCn signal to pass through a digital regenerator node which will terminate the OTUCn layer, but will pass the regenerated (but otherwise untouched) ODUCn towards a different OTUCn interface where a fresh OTUCn layer will be initiated (see Figure 1). In this case, the ODUCn is carried by 3 OTUCn segments.
Specifically, the OPUCn signal flows through these regenerators unchanged. That is, the set of client signals, their TPNs, tributary-slot allocation remains unchanged.
ODUCn signal

 +--------+           +--------+
 |        +-----------+        |
 | OTN    |-----------| OTN    |
 | DXC    +-----------+ DXC    |
 |        |           |        |
 +--------+           +--------+
     <--------ODUCn------->
      <-------OTUCn------>

 +--------+        +--------+        +--------+          +--------+
 |        +--------+        |        |        +----------+        |
 | OTN    |--------| OTN    |        | OTN    |----------| OTN    |
 | DXC    +--------+ WXC    +--------+ WXC    +----------+ DXC    |
 |        |        | 3R     |        | 3R     |          |        |
 +--------+        +--------+        +--------+          +--------+
     <-------------------------ODUCn-------------------------->
      <---------------><-----------------><------------------>
           OTUCn              OTUCn               OTUCn

Tributary Slot Granularity
[ITU-T_G709_2012] introduced the support for 1.25 Gbit/s granular tributary slots in OPU2, OPU3, and OPU4 signals. [ITU-T_G709_2020] defined the OPUC with a 5 Gbit/s tributary slot granularity. This means that the ODUCn signal has 20*n tributary slots (of 5 Gbit/s capacity). The range of tributary port number (TPN) is 10*n instead of 20*n, which restricts the maximum client signals that could be carried over one single ODUC1.
Structure of OPUCn MSI with Payload type 0x22
As mentioned above, the OPUCn signal has 20*n 5 Gbit/s tributary slots (TSs). The OPUCn MSI field has a fixed length of 40*n bytes and indicates the availability and occupation of each TS. Two bytes are used for each of the 20*n tributary slots, and each such information structure has the following format ([ITU-T_G709_2020]:Section 20.4.1):
- The TS availability bit indicates if the tributary slot is available or unavailable
- The TS occupation bit indicates if the tributary slot is allocated or unallocated
- The tributary port number (14 bits) of the client signal that is being carried in this specific TS. A flexible assignment of tributary port to tributary slots is possible. Numbering of tributary ports is from 1 to 10*n.
Client Signal Mappings
The approach taken by the ITU-T to map non-OTN client signals to the appropriate ODU containers is as follows:
- All client signals are mapped into an ODUk (e.g., ODUflex) as specified in clause 17 of [ITU-T_G709_2020].
- ODU Virtual Concatenation has been deprecated. This simplifies the network, and the supporting hardware since multiple different mappings for the same client are no longer necessary. Note that legacy implementations that transported sub-100G clients using ODU VCAT shall continue to be supported.
- ODUflex signals are low-order signals only. If the ODUflex entities have rates of 100G or less, they can be transported over either an ODUk (k=1..4) or an ODUCn. For ODUflex connections with rates greater than 100G, ODUCn is required.
Digital Structure of OTN interfaces (from G.709:Figure 6-1)

          Clients (e.g. SONET/SDH, Ethernet)

    |   |   |                           |   |   |
    |   |   |                           |   |   |
    |   |   |                           |   |   |
+---+---+---+----+                      |   |   |
|      OPUj      |                      |   |   |
+----------------+                      |   |   |
|      ODUj      |                      |   |   |
+----------------+----------------------+---+---+----------+
|                                                          |
|                       OPUk                               |
+----------------------------------------------------------+
|                                                          |
|                       ODUk       k in {0,1,2,2e,3,4,flex}|
+-------------------------+-----+--------------------------+
|                         |     |                          |
| OTUk, OTUk-SC, OTUk-V   |     |          OPUCn           |
+-------------------------+     +--------------------------+
                                |                          |
                                |          ODUCn           |
                                +--------------------------+
                                |                          |
                                |          OTUCn           |
                                +--------------------------+

GMPLS Implications and Applicability
TE-Link Representation
Section 3 of RFC7138 describes how to represent G.709 OTUk/ODUk with TE-Links in GMPLS. Similar to that, ODUCn links can also be represented as TE-Links, which can be seen in the Figure 3.
ODUCn TE-Links

+-----+              +-----+
|     |              |     |
|  A  |<-OTUCn Link->|  B  |
|     |              |     |
+-----+              +-----+
   |<--- ODUCn Link -->|
   |<---- TE-Link ---->|

                       3R                    3R
+-----+              +-----+              +-----+              +-----+
|     |              |     |              |     |              |     |
|  A  |<-OTUCn Link->|  B  |<-OTUCn Link->|  C  |<-OTUCn Link->|  D  |
|     |              |     |              |     |              |     |
+-----+              +-----+              +-----+              +-----+
    |<----------------------- ODUCn Link ------------------------>|
    |<------------------------ TE-Link -------------------------->|

The two endpoints of a TE-Link are configured with the supported resource information, which may include whether the TE-Link is supported by an ODUCn or an ODUk or an OTUk, as well as the link attribute information (e.g., slot granularity, list of available tributary slot).
Implications and Applicability for GMPLS Signalling
Once the ODUCn TE-Link is configured, the GMPLS mechanisms defined in [RFC7139] can be reused to set up ODUk/ODUflex LSPs with no changes. As the resource on the ODUCn link which can be seen by the client ODUk/ODUflex is a set of 5 Gbit/s slots, the label defined in [RFC7139] is able to accommodate the requirement of the setup of ODUk/ODUflex over ODUCn link. In [RFC7139], the OTN-TDM GENERALIZED_LABEL object is used to indicate how the lower order (LO) ODUj signal is multiplexed into the higher order (HO) ODUk link. In a similar manner, the OTN-TDM GENERALIZED_LABEL object is used to indicate how the ODUk signal is multiplexed into the ODUCn link. The ODUk Signal Type is indicated by Traffic Parameters. The IF_ID RSVP_HOP object provides a pointer to the interface associated with TE-Link and therefore the two nodes terminating the TE-link know (by internal/local configuration) the attributes of the ODUCn TE Link.
Since the TPN defined in [ITU-T_G709_2020] for an ODUCn link has 14 bits, while this field in [RFC7139] only has 12 bits, some extension work will eventually be needed. Given that a 12-bit TPN field can support ODUCn links with up to n=400 (i.e. 40Tbit/s links), this need is not urgent.
An example is given in Figure 4 to illustrate the label format defined in [RFC7139] for multiplexing ODU4 onto ODUC10. One ODUC10 has 200 5 Gbit/s slots, and twenty of them are allocated to the ODU4. With this label encoding, only 20 out of the 200 bits mask are non-zero, and is very inefficient. The inefficiency grows for larger values of "n" and an optimized label format may be desirable.
Label format

   0                   1                   2                   3
   0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  |       TPN = 3         |   Reserved    |     Length = 200      |
  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  |0 1 1 0 1 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0|
  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  |0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 1 0 0 0 0 0 0 0 1 0 0 0 0|
  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  |0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0|
  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  |0 0 0 0 1 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 1 0 0 0 0 0|
  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  |0 0 0 0 0 1 0 0 0 0 0 0 1 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0|
  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  |0 0 0 0 0 1 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0|
  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  |0 0 0 0 0 0 0 0|               Padding Bits(0)                 |
  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Implications and Applicability for GMPLS Routing
For routing, it is deemed that no extension to current mechanisms defined in [RFC7138] is needed. Because, once an ODUCn link is up, the resources that need to be advertised are the resources that are exposed by this ODUCn link and the multiplexing hierarchy on this link. Since the ODUCn link is the lowest layer of the ODU multiplexing hierarchy, there is no need to explicitly define a new value to represent the ODUCn signal type in the OSPF-TE routing protocol.
The OSPF-TE extension defined in section 4 of [RFC7138] can be reused to advertise the resource information on the ODUCn link to help finish the setup of ODUk/ODUflex.
Authors (Full List)
Qilei Wang (editor)
ZTE
Nanjing, China
Email: wang.qilei@zte.com.cn
Radha Valiveti (editor)
Infinera Corp
Sunnyvale, CA, USA
Email: rvaliveti@infinera.com
Haomian Zheng (editor)
Huawei
CN
EMail: zhenghaomian@huawei.com
Huub van Helvoort
Hai Gaoming B.V
EMail: huubatwork@gmail.com
Sergio Belotti
Nokia
EMail: sergio.belotti@nokia.com
Contributors
Iftekhar Hussain, Infinera Corp, Sunnyvale, CA, USA, IHussain@infinera.com
Daniele Ceccarelli, Ericsson, daniele.ceccarelli@ericsson.com
Rajan Rao, Infinera Corp, Sunnyvale, USA, rrao@infinera.com
Fatai Zhang, Huawei,zhangfatai@huawei.com
Italo Busi, Huawei,italo.busi@huawei.com
Dieter Beller, Nokia, Dieter.Beller@nokia.com
Yuanbin Zhang, ZTE, Beiing, zhang.yuanbin@zte.com.cn
Zafar Ali, Cisco Systems, zali@cisco.com
Daniel King, d.king@lancaster.ac.uk
Manoj Kumar, Cisco Systems, manojk2@cisco.com
Antonello Bonfanti, Cisco Systems, abonfant@cisco.com
Yuji Tochio, Fujitsu, tochio@fujitsu.com
IANA Considerations
This memo includes no request to IANA.
Security Considerations
This document analyses and reuses the protocol extensions in [RFC7138] and [RFC7139] without introducing any new extensions. Therefore, this document introduces no new security considerations to the existing signalling protocol and routing protocol comparing to [RFC7138] and [RFC7139]. Please refer to [RFC7138] and [RFC7139] for further details of the specific security measures. Additionally, [RFC5920] addresses the security aspects that are relevant in the context of GMPLS.
References
Normative References
[ITU-T_G709_2020]

ITU-T G.709: Optical Transport Network Interfaces; 06/2020
ITU-T
June 2020
[RFC5920]

Security Framework for MPLS and GMPLS Networks
L. Fang, Ed.
July 2010
RFC 5920
DOI 10.17487/RFC5920
[RFC7138]

Traffic Engineering Extensions to OSPF for GMPLS Control of Evolving G.709 Optical Transport Networks
D. Ceccarelli, Ed.
F. Zhang
S. Belotti
R. Rao
J. Drake
March 2014
RFC 7138
DOI 10.17487/RFC7138
[RFC7139]

GMPLS Signaling Extensions for Control of Evolving G.709 Optical Transport Networks
F. Zhang, Ed.
G. Zhang
S. Belotti
D. Ceccarelli
K. Pithewan
March 2014
RFC 7139
DOI 10.17487/RFC7139
Informative References
[ITU-T_G709.1]

ITU-T G.709.1: Flexible OTN short-reach interface; 2018
ITU-T
2018
[ITU-T_G709_2012]

ITU-T G.709: Optical Transport Network Interfaces; 02/2012
ITU-T
February 2012
[ITU-T_G709_2016]

ITU-T G.709: Optical Transport Network Interfaces; 07/2016
ITU-T
July 2016
[RFC3471]

Generalized Multi-Protocol Label Switching (GMPLS) Signaling Functional Description
L. Berger, Ed.
RFC Editor
January 2003
DOI 10.17487/rfc3471